# sc::OneBodyDerivIntV3 Class Reference

This implements one body derivative integrals in the IntV3 library. More...

`#include <obintv3.h>`

Inheritance diagram for sc::OneBodyDerivIntV3:

List of all members.

## Public Member Functions

| OneBodyDerivIntV3 (Integral *, const Ref< GaussianBasisSet > &, const Ref< GaussianBasisSet > &, IntegralFunction)
void | compute_shell (int, int, DerivCenters &)
| Compute the derivative integrals and place the result in the buffer returned by buffer().
void | compute_shell (int, int, int)
| Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

## Protected Types

typedef void(Int1eV3::* | IntegralFunction )(int, int, int, int)

## Protected Attributes

Ref< Int1eV3 > | int1ev3_
IntegralFunction | intfunc_

## Detailed Description

This implements one body derivative integrals in the IntV3 library.

It is given a function pointer to the Int1eV3 member that computes the particular integral of interest.

## Member Function Documentation

void sc::OneBodyDerivIntV3::compute_shell | ( | int | ish,
|  | int | jsh,
|  | DerivCenters & |  |
| ) |  |  | `[virtual]`

Compute the derivative integrals and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

void sc::OneBodyDerivIntV3::compute_shell | ( | int | ish,
|  | int | jsh,
|  | int | center |
| ) |  |  | `[virtual]`

Compute the derivative integrals with respect to the given center and place the result in the buffer returned by buffer().

Implements sc::OneBodyDerivInt.

The documentation for this class was generated from the following file:

- obintv3.h